Plugins security alert

Is there a system of alerts that warn of the plugins that are not safe?

Example, The Problem with the Social Media Widget plugin

http://www.h-online.com/open/news/item/Social-Media-Widget-for-WordPress-a-source-of-spam-1838405.html

Thanks!